DHCP6C(8)

NAME
dhcp6c - DHCPv6 client daemon

SYNOPSIS
dhcp6c [-c configfile] [-Ddfi] [-p pid-file] interface [interfaces...]

DESCRIPTION
dhcp6c works as a DHCPv6 client and gets information from DHCPv6 servers to configure the specified interface. Multiple interfaces can be specified separated by spaces or tabs, in which case dhcp6c will work on all the interfaces simultaneously.

The command line options are:

-c configfile
    Use configfile as the configuration file.

-d  Print debugging messages.

-D  Even more debugging information is printed.

-f  Foreground mode (useful when debugging). Although dhcp6c usually prints warning, debugging, or error messages to syslog(8), it prints the messages to standard error if this option is specified.

-i  Info-req mode. In this mode, stateless DHCPv6 is executed with an automatic configuration, and the obtained info is written to stdout. After this output, the program is terminated. (suits for a use in shell-script etc)

-p pid-file
    Use pid-file to dump the process ID of dhcp6c.

The program will daemonize itself on invocation unless the -f or -i option is specified.

Upon receipt of the SIGHUP or SIGTERM signals, dhcp6c will remove all stateful resources from the system. In the former case the daemon will then reinvoke itself, while it will stop running in the latter case. In either case, dhcp6c will send DHCPv6 Release messages to release resources assigned from servers.

FILES
/var/run/dhcp6c.pid
    is the default file that contains pid of the currently running dhcp6c.
/usr/local/v6/etc/dhcp6c.conf
    is the default configuration file.
/var/db/dhcp6c_duid
    is the file to store the client's DUID.

Configuration Script
When dhcp6c receives a reply message, it will invoke a supplementary configuration script specified in the dhcp6c.conf(5) file. The daemon will provide the script with configuration parameters as environment variables, which include:

REASON
    The reason why the script is invoked. As of this writing, the value is always "NBI" and thus meaningless.
new_domain_name_servers
    A list of available DNS servers, each of which is an IPv6 numeric address and is separated by a white space character.
new_domain_name
    A list of DNS names, which provides DNS name search path.
new_ntp_servers
    A list of available NTP servers, each of which is an IPv6 numeric address and is separated by a white space character.
new_sip_name_servers
    A list of available SIP server addresses, each of which is an IPv6 numeric address and is separated by a white space character.
new_sip_name
    A list of SIP server domain names.

Note that the daemon does not always provide all the parameters. It sets an environment variable only when the corresponding configuration parameter is provided by the DHCPv6 server.

SEE ALSO
daemon(3), dhcp6c.conf(5), dhcp6s(8) Ralph Droms, Editor, 2003, Dynamic Host Configuration Protocol for IPv6 (DHCPv6), RFC 3315.

HISTORY
The dhcp6c command first appeared in WIDE/KAME IPv6 protocol stack kit.

BUGS
dhcp6c is incomplete and violates DHCPv6 protocol spec, in several aspects. In particular, temporary address assignment is intentionally omitted.

Some of useful option type values are still not officially assigned. The current implementation uses experimental values, which may cause interoperability problems with other implementations.

Information Refresh Time Option is not recognied in Info-req mode, since dhcp6c terminates after it receives a REPLY message.